# Get a new order

Endpoint: GET /order
Version: 1.0.0
Security: InfiniHmac

## Query parameters:

  - `order_id` (string)
    Order id

## Header parameters:

  - `Date` (string)
    GMT server time (e.g. Tue, 21 Jan 2025 12:00:00 GMT). Required for every request.

  - `Authorization` (string)
    HMAC-SHA256 `Signature` header. See the [Authentication](/docs/en/4-authorization) guide.

## Response 200 fields (application/json):

  - `merchant_id` (string)

  - `request_id` (string)

  - `order_id` (string)

  - `client_reference` (string)

  - `order_desc` (string)

  - `order_currency` (string)

  - `order_amount` (object)

  - `status` (string)

  - `created_at` (integer)

  - `updated_at` (integer)

  - `expires_at` (integer)

  - `merchant_info` (object)

  - `merchant_info.uid` (string)

  - `merchant_info.display_name` (string)

  - `merchant_info.logo` (string)

  - `merchant_info.default_order_ttl` (integer)

  - `merchant_info.name_type` (string)

  - `exception_tag` (array)

  - `success_url` (string)

  - `failure_url` (string)

  - `available_pay_method` (array)

  - `last_paid_payment` (object)

  - `last_paid_payment.payment_id` (string)

  - `last_paid_payment.merchant_id` (string)

  - `last_paid_payment.payment_method` (integer)

  - `last_paid_payment.payment_address` (string)

  - `last_paid_payment.network` (string)

  - `last_paid_payment.pay_currency` (string)

  - `last_paid_payment.status` (string)

  - `last_paid_payment.expires_at` (integer)

  - `last_paid_payment.metadata` (string)

  - `last_paid_payment.created_at` (integer)

  - `last_paid_payment.updated_at` (integer)

  - `last_paid_payment.transactions` (array)
    Related transactions

  - `last_paid_payment.transactions.amount` (string)
    Transaction amount

  - `last_paid_payment.transactions.hash` (string)
    Transaction hash

  - `last_paid_payment.transactions.status` (string)
    Transaction status

  - `last_paid_payment.transactions.transaction_time` (integer)
    Transaction time (Unix timestamp in seconds)

  - `last_paid_payment.transactions.from_address` (string)
    From address

  - `last_paid_payment.transactions.transaction_id` (string)
    Transaction ID

  - `last_paid_payment.transactions.created_at` (integer)
    Created time (Unix timestamp in seconds)

  - `last_paid_payment.transactions.estimate_confirm_time` (integer)

  - `last_paid_payment.transactions.exception_tag` (string)

  - `last_paid_payment.amount_status` (string)

  - `last_paid_payment.exception_tag` (array)

  - `last_paid_payment.order_currency` (string)
    Order currency

  - `mode` (integer)
    订单模式: 0=普通订单, 1=订阅订单

  - `subscription` (object)

  - `subscription.subscription_id` (string)
    系统订阅ID

  - `subscription.merchant_sub_id` (string)
    商户订阅ID

  - `subscription.plan_name` (string)
    计划名称

  - `subscription.status` (string)
    订阅状态

  - `subscription.currency` (string)
    币种

  - `subscription.amount` (string)
    每期金额

  - `subscription.interval_unit` (string)
    周期单位

  - `subscription.interval_count` (integer)
    周期数量

  - `subscription.payer_email` (string)
    付款人邮箱

  - `subscription.current_period_start` (integer)
    当前周期开始

  - `subscription.current_period_end` (integer)
    当前周期结束

  - `subscription.canceled_url` (string)
    取消跳转URL

  - `email` (string)
    Payer email

  - `kyc_required` (boolean)
    Whether login and approved Infini KYC are required before a buyer can create a payment for this order
    Example: false

